Bug 6019 - Using memoize_memcached to cache slow subroutines
Summary: Using memoize_memcached to cache slow subroutines
Status: CLOSED INVALID
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Paul Poulain
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 5999 7119
  Show dependency treegraph
 
Reported: 2011-03-31 02:29 UTC by Chris Cormack
Modified: 2012-10-26 00:51 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed Patch (3.98 KB, patch)
2011-03-31 02:34 UTC, Chris Cormack
Details | Diff | Splinter Review
Followup patch (1.94 KB, patch)
2011-03-31 02:36 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2011-03-31 02:29:05 UTC

    
Comment 1 Chris Cormack 2011-03-31 02:34:56 UTC
Created attachment 3563 [details] [review]
Proposed Patch
Comment 2 Chris Cormack 2011-03-31 02:36:47 UTC
Created attachment 3564 [details] [review]
Followup patch
Comment 3 Paul Poulain 2011-10-24 11:38:12 UTC
Updating Version : This ENH will be for Koha 3.8
Comment 4 Paul Poulain 2011-10-25 15:05:47 UTC
Bug versionned for master. entries will be made against rel_3_8 once the patch has been applied (see thread about that on koha-devel yesterday)
Comment 5 Katrin Fischer 2011-12-21 06:49:19 UTC
Second patch does not apply:

Apply? [y]es/[n]o/[e]dit/[v]iew patch/[a]ccept all y
Applying: Bug 6019 : Perf enhancement : C4/SQLHelper.pm
/home/katrin/kohaclone/.git/rebase-apply/patch:18: trailing whitespace.
 
warning: 1 line adds whitespace errors.
Using index info to reconstruct a base tree...
<stdin>:18: trailing whitespace.
 
warning: 1 line applied after fixing whitespace errors.
Falling back to patching base and 3-way merge...
Auto-merging C4/SQLHelper.pm
CONFLICT (content): Merge conflict in C4/SQLHelper.pm
Failed to merge in the changes.
Patch failed at 0001 Bug 6019 : Perf enhancement : C4/SQLHelper.pm
When you have resolved this problem run "git am --resolved".
If you would prefer to skip this patch, instead run "git am --skip".
To restore the original branch and stop patching run "git am --abort".
Comment 6 Paul Poulain 2012-02-21 12:50:55 UTC
this one is now invalid: part of it have already been applied, caching management has been updated (and switched to apache configuration)